import javax.swing.*;
import java.*;


public class Hybrit_Power_Plant_Main3
	{
	public static void main(String arg[])
		{
			
			double power=100; //MW
			double field=0; // solar panellerinin alanı (m^2)
			double maks_field; // solar panellerinin maksimum alanı (m^2)
			
			//int day=24; 
			//int mounth=6; 
			double standartTime=18.0*60.0; 
			double enlem=38.4; 
			double boylam=-27.25; 
			double ssboylamı=-45.0;
			double yukseklik=0.01; 
			int iklim=2;  // yarı tropikal
			double ro=1;  //yansıma oranı
			double year=2;
			
			Hybrit_Power_Plant r=new Hybrit_Power_Plant( power, enlem, boylam,ssboylamı, yukseklik, iklim);
        		
        		r.rankinearaısıtmalı_model(600.0,150.0,40.0 ,600.0,0.1,1.0,1.0);
        		maks_field=r.maks_field_system_solar( ro);
        		
			int oran=1000;	
        	double	orann=oran;
        	
        	int k=157;
        	//int k=Math.round(maks_field);
 
        	
			
			//..................................
			double xx[] = new double[k+1] ;
          	double yy[] = new double[k+1] ;
          	
	for(int i=0; i<=k;i++)
			{
				
				double t=r.total_maliyet( year, field, ro)/1000000;
				
				field+=orann;
				
	  		xx[i]=field;
      		yy[i]=t;
      		
      		
 			}

    		Plot pp=new Plot(xx,yy);    		
    		pp.setPlabel("değişin kollektör tarlasına göre sistemin maliyet analizi:");
 			pp.setYlabel("Enerji etme maliyeti/yıl, (TL/yıl)");
 			pp.setXlabel(" (metrekare) (m^2)");
 			pp.plot();
      		      		
     
	for(int j=0; j<=k; j++)
			{
				
				System.out.println(" "+xx[j]+" "+yy[j]+" \n");
 			}
		
 			System.out.println(r.cikti(ro));
		}
	}